### Hierarchy

- DeepCopy<OfferSearch>
  - OfferSearch

## Index

### Constructors

- constructor

### Properties

- createdAt
- events
- id
- info
- offerId
- owner
- searchRequestId
- state
- updatedAt

### Methods

- copy
- deepCopyFromJson
- toJson
- fromJson

## Constructors

### constructor

- new OfferSearch(searchRequestId?: number, offerId?: number, events?: Array<string>): OfferSearch

- - Defined in repository/models/OfferSearch.ts:21

  #### Parameters

  - ##### Default value searchRequestId: number = 0

  - ##### Default value offerId: number = 0

  - ##### Default value events: Array<string> = []

  #### Returns OfferSearch

## Properties

### createdAt

createdAt: Date = new Date()

- Defined in repository/models/OfferSearch.ts:12

### events

events: Array<string>

- Defined in repository/models/OfferSearch.ts:11

### id

id: number = 0

- Defined in repository/models/OfferSearch.ts:5

### info

info: string

- Defined in repository/models/OfferSearch.ts:10

### offerId

offerId: number = 0

- Defined in repository/models/OfferSearch.ts:8

### owner

owner: string = "0x0"

- Defined in repository/models/OfferSearch.ts:6

### searchRequestId

searchRequestId: number = 0

- Defined in repository/models/OfferSearch.ts:7

### state

state: OfferResultAction = OfferResultAction.NONE

- Defined in repository/models/OfferSearch.ts:9

### updatedAt

updatedAt: Date = new Date()

- Defined in repository/models/OfferSearch.ts:13

## Methods

### copy

- copy(changeArgs?: JsonObject<OfferSearch>): OfferSearch

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:7

  #### Parameters

  - ##### Optional changeArgs: JsonObject<OfferSearch>

  #### Returns OfferSearch

### Protected deepCopyFromJson

- deepCopyFromJson(): OfferSearch

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/OfferSearch.ts:42

  #### Returns OfferSearch

### toJson

- toJson(): any

- - Defined in repository/models/OfferSearch.ts:33

  #### Returns any

### Static fromJson

- fromJson(json: object): OfferSearch

- - Defined in repository/models/OfferSearch.ts:15

  #### Parameters

  - ##### json: object

  #### Returns OfferSearch

Generated using TypeDoc